Name: liburing
Version: 0.2
Release: 2%{?dist}
Summary: Linux-native io_uring I/O access library
License: LGPLv2+
Source: %{name}-%{version}.tar.bz2
URL: http://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
BuildRequires: gcc
Patch0: liburing-spec-update-RPM-version-number-to-0.2.patch
Patch1: liburing-Makefile-add-missing-pc-dependency-on-spec-file.patch
Patch2: liburing-add-missing-generic-implementation-of-smp_mb.patch

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package devel
Summary: Development files for Linux-native io_uring I/O access library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%autosetup -p1

%build
./configure --prefix=%{_prefix} --libdir=/%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}

%make_build

%install
%make_install

%files
%attr(0755,root,root) %{_libdir}/liburing.so.*
%doc COPYING

%files devel
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%{_libdir}/liburing.a
%{_libdir}/pkgconfig/*
%{_mandir}/man2/*

%changelog
* Wed Nov  6 2019 Jeff Moyer <jmoyer@redhat.com> - 0.2-2.el8
- bump release to trigger gating tests
- Related: bz#1724804

* Thu Oct 31 2019 Jeff Moyer <jmoyer@redhat.com> - 0.2-1
- Initial rhel8 package.
- Resolves: bz#1724804

* Tue Jan 8 2019 Jens Axboe <axboe@kernel.dk> - 0.1
- Initial version
